import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class GameTest {

    @Test
    void getInstance_providesInstance_isNotEmpty() {
        //Arrange
        Game game;

        //Act
        game = Game.getInstance(10,10);

        //Assert
        assertNotNull(game);
    }

    @Test
    void gameOver_getsBoolean_isFalse() {

        //Arrange
        Game game = Game.getInstance(10,10);
        boolean expected = false;
        boolean actual;

        //Act
        actual = game.gameOver();

        //Assert
        assertEquals(expected, actual);

    }

}